## org.apache.batik.anim.values
Class AnimatableAngleValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatableNumberValue
              org.apache.batik.anim.values.AnimatableAngleValue

Direct Known Subclasses:
  AnimatableAngleOrIdentValue

    public class AnimatableAngleValue

extends AnimatableNumberValue

An SVG angle value in the animation system.

Field Summary
`protected short` `unit` The angle unit.
`protected static java.lang.String[]` `UNITS` The unit string representations.

Fields inherited from class org.apache.batik.anim.values.AnimatableNumberValue
`value`

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`AnimatableAngleValue(AnimationTarget target)` Creates a new, uninitialized AnimatableAngleValue.
`AnimatableAngleValue(AnimationTarget target, float v, short unit)` Creates a new AnimatableAngleValue.

Method Summary
`float` `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`java.lang.String` `getCssText()` Returns the CSS text representation of the value.
`short` `getUnit()` Returns the angle unit.
`AnimatableValue` `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.
`static float` `rad(float v, short unit)` Converts an angle value to radians.

Methods inherited from class org.apache.batik.anim.values.AnimatableNumberValue
`canPace, getValue`

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, hasChanged, toString, toStringRep`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNITS

    protected static final java.lang.String[] UNITS

  The unit string representations.

### unit

    protected short unit

  The angle unit.

Constructor Detail

### AnimatableAngleValue

    public AnimatableAngleValue(AnimationTarget target)

  Creates a new, uninitialized AnimatableAngleValue.

### AnimatableAngleValue

    public AnimatableAngleValue(AnimationTarget target,
                                float v,
                                short unit)

  Creates a new AnimatableAngleValue.

Method Detail

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value.

  Overrides:
    `interpolate` in class `AnimatableNumberValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

### getUnit

    public short getUnit()

  Returns the angle unit.

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Overrides:
    `distanceTo` in class `AnimatableNumberValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Overrides:
    `getZeroValue` in class `AnimatableNumberValue`

### getCssText

    public java.lang.String getCssText()

  Returns the CSS text representation of the value.

  Overrides:
    `getCssText` in class `AnimatableNumberValue`

### rad

    public static float rad(float v,
                            short unit)

  Converts an angle value to radians.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.